# GetAccount

Query information about an account,Including balances, stake, votes and time, etc.

\
**Return value**：Account Object

**BODY PARAMS**\
`{`

**`address`**`string (required)`

**`visible`**` ``boolean (optional)`

`}`

**Note:**  &#x20;

* **address** should be converted to a hex string
* **visible** is optional,whether the address is in base58 format

**Example:**

curl --request POST\
\--url <http://172.104.51.182:16667/wallet/getaccount>\
\--header 'Accept: application/json'\
\--header 'Content-Type: application/json'\
\--data ' {"address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "visible": true}

**Input:**&#x20;

`{ "address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "visible": true }`

**Response:**&#x20;

`{` &#x20;

`"address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "balance": 999729632600, "create_time": 1639021920000, "latest_opration_time": 1639056927000, "free_net_usage": 322, "latest_consume_free_time": 1639036485000, "account_resource": { "latest_consume_time_for_energy": 1639036485000 }, "owner_permission": { "permission_name": "owner", "threshold": 1, "keys": [ { "address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "weight": 1 } ] }, "active_permission": [ { "type": "Active", "id": 2, "permission_name": "active", "threshold": 1, "operations": "7fff1fc0033e0300000000000000000000000000000000000000000000000000", "keys": [ { "address": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "weight": 1 } ] } ]`&#x20;

`}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/accounts/getaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
